# Create image based on the official Node 6 image from dockerhub
FROM node:12.14.1-buster

# Change directory so that our commands run inside this new directory
WORKDIR /app

# Copy dependency definitions
COPY tslint.json nest-cli.json tsconfig.json package.json nest-cli.json tsconfig.build.json package-lock.json ./

# Install dependecies
RUN npm install
RUN npm install -g pm2 
# Get all the code needed to run the app
COPY server.config.js server.config.js
COPY ./src ./src
COPY ./i18n ./i18n
COPY env development.env

# Build Projects
RUN npm run build

# Serve the app
RUN pm2 startup | tee startup | grep sudo | tee command.sh && bash command.sh
RUN pm2 save

# Expose the port the app runs in
EXPOSE 5555
CMD ["pm2-runtime", "start","server.config.js"]
# CMD ["npm","run","start:dev"]